# FoundationClasses
TKernel
TCollection

# TCollection Class Reference

The package <tcollection> provides the services for the
transient basic data structures.
.

`#include <TCollection.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | NextPrimeForMap (const Standard_Integer I)
| Returns a prime number greater than suitable to dimension a Map. When becomes great there is a limit on the result (today the limit is around 1 000 000). This is not a limit of the number of items but a limit in the number of buckets. i.e. there will be more collisions in the map. .

## Member Function Documentation

static Standard_EXPORT Standard_Integer TCollection::NextPrimeForMap | ( | const Standard_Integer | I | ) | `[static]`

void TCollection::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TCollection::operator new | ( | size_t | size | ) | `[inline]`

void* TCollection::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TCollection.hxx